> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Player Custom Properties

> Retrieves title-specific custom property values for a player.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| ProductDisabledForTitle | 1609 |




## OpenAPI

````yaml /services/playfab/api-references/rest/server/server.openapi.json post /Server/ListPlayerCustomProperties
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Server API
  description: >-
    Provides functionality to allow external (developer-controlled) servers to
    interact with user inventories and data in a trusted manner, and to handle
    matchmaking and client connection orchestration
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
paths:
  /Server/ListPlayerCustomProperties:
    post:
      tags:
        - Player Data Management
      summary: List Player Custom Properties
      description: |
        Retrieves title-specific custom property values for a player.

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | ProductDisabledForTitle | 1609 |
      operationId: ListPlayerCustomProperties
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListPlayerCustomPropertiesRequest'
      responses:
        '200':
          $ref: '#/components/responses/ListPlayerCustomPropertiesResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    ListPlayerCustomPropertiesRequest:
      type: object
      properties:
        PlayFabId:
          description: >-
            Unique PlayFab assigned ID of the user on whom the operation will be
            performed.
          type: string
      required:
        - PlayFabId
      example:
        PlayFabId: '2039475'
    ListPlayerCustomPropertiesResult:
      type: object
      properties:
        PlayFabId:
          description: >-
            PlayFab unique identifier of the user whose properties are being
            returned.
          type: string
        Properties:
          description: >-
            Player specific properties and their corresponding values for this
            title.
          type: array
          items:
            $ref: '#/components/schemas/CustomPropertyDetails'
          x-isclass: true
        PropertiesVersion:
          description: >-
            Indicates the current version of a player's properties that have
            been set. This is incremented after updates and deletes. This
            version can be provided in update and delete calls for concurrency
            control.
          type: number
          x-actualtype: int32
      required:
        - PropertiesVersion
      example:
        PlayFabId: '2039475'
        Properties:
          - Name: level
            Value: 5
          - Name: created
            Value: true
        PropertiesVersion: 12
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    CustomPropertyDetails:
      type: object
      properties:
        Name:
          description: The custom property's name.
          type: string
        Value:
          description: The custom property's value.
          type: object
  responses:
    ListPlayerCustomPropertiesResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/ListPlayerCustomPropertiesResult'
            example:
              code: 200
              status: OK
              data:
                PlayFabId: '2039475'
                Properties:
                  - Name: level
                    Value: 5
                  - Name: created
                    Value: true
                PropertiesVersion: 12
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [List Player Custom Properties](/services/playfab/api-references/rest/client/player-data-management/list-player-custom-properties.md)
- [PFPlayerDataManagementListPlayerCustomPropertiesRequest](/services/playfab/api-references/c/pfplayerdatamanagementtypes/structs/pfplayerdatamanagementlistplayercustompropertiesrequest.md)
- [PFPlayerDataManagementServerListPlayerCustomPropertiesAsync](/services/playfab/api-references/c/pfplayerdatamanagement/functions/pfplayerdatamanagementserverlistplayercustompropertiesasync.md)
- [PFPlayerDataManagementClientListPlayerCustomPropertiesAsync](/services/playfab/api-references/c/pfplayerdatamanagement/functions/pfplayerdatamanagementclientlistplayercustompropertiesasync.md)
- [PFPlayerDataManagementServerListPlayerCustomPropertiesResult](/services/playfab/api-references/c/pfplayerdatamanagementtypes/structs/pfplayerdatamanagementserverlistplayercustompropertiesresult.md)
